diff -Naur gtkhtml-3.0.10-old/components/html-editor/Makefile.in gtkhtml-3.0.10/components/html-editor/Makefile.in
--- gtkhtml-3.0.10-old/components/html-editor/Makefile.in	Thu Feb 19 17:21:17 2004
+++ gtkhtml-3.0.10/components/html-editor/Makefile.in	Tue Mar 16 08:09:10 2004
@@ -169,14 +169,14 @@
 
 IDL_GENERATED = $(IDL_GENERATED_C) $(IDL_GENERATED_H)
 
-SPELL_IDLS = Spell.idl
+SPELL_IDLS = SpellI.idl
 SPELL_IDL_GENERATED_H = \
-	Spell.h
+	SpellI.h
 
 SPELL_IDL_GENERATED_C = \
-	Spell-common.c		\
-	Spell-skels.c		\
-	Spell-stubs.c
+	SpellI-common.c		\
+	SpellI-skels.c		\
+	SpellI-stubs.c
 
 SPELL_IDL_GENERATED = $(SPELL_IDL_GENERATED_C) $(SPELL_IDL_GENERATED_H)
 
@@ -332,8 +332,8 @@
 LIBS = @LIBS@
 libgnome_gtkhtml_editor_la_LDFLAGS = 
 libgnome_gtkhtml_editor_la_LIBADD = 
-libgnome_gtkhtml_editor_la_OBJECTS =  Spell-common.lo Spell-skels.lo \
-Spell-stubs.lo Editor-common.lo Editor-skels.lo Editor-stubs.lo body.lo \
+libgnome_gtkhtml_editor_la_OBJECTS =  SpellI-common.lo SpellI-skels.lo \
+SpellI-stubs.lo Editor-common.lo Editor-skels.lo Editor-stubs.lo body.lo \
 cell.lo control-data.lo dialog.lo editor-control-factory.lo engine.lo \
 html-stream-mem.lo image.lo link.lo menubar.lo paragraph.lo \
 persist-file.lo persist-stream.lo popup.lo properties.lo replace.lo \
@@ -645,7 +645,7 @@
 	../../src/htmlfontmanager.h ../../src/gtkhtmlfontstyle.h body.h \
 	control-data.h persist-stream.h ../../src/htmlgdkpainter.h \
 	search.h replace.h image.h link.h rule.h engine.h Editor.h \
-	Spell.h properties.h utils.h
+	SpellI.h properties.h utils.h
 cell.lo cell.o : cell.c ../../config.h ../../src/htmlclue.h \
 	../../src/htmlobject.h ../../src/htmltypes.h \
 	../../src/gtkhtml-enums.h ../../src/gtkhtml-types.h \
@@ -661,7 +661,7 @@
 	../../src/htmlpainter.h ../../src/htmlfontmanager.h \
 	../../src/gtkhtmlfontstyle.h properties.h control-data.h \
 	persist-stream.h ../../src/htmlgdkpainter.h search.h replace.h \
-	image.h link.h rule.h engine.h Editor.h Spell.h cell.h utils.h
+	image.h link.h rule.h engine.h Editor.h SpellI.h cell.h utils.h
 control-data.lo control-data.o : control-data.c ../../config.h \
 	control-data.h ../../src/gtkhtml.h ../../src/gtkhtml-types.h \
 	../../src/gtkhtml-enums.h ../../src/htmltypes.h \
@@ -669,7 +669,7 @@
 	../../src/htmlgdkpainter.h ../../src/htmlpainter.h \
 	../../src/htmlfontmanager.h ../../src/gtkhtmlfontstyle.h \
 	search.h replace.h image.h link.h rule.h engine.h Editor.h \
-	Spell.h spell.h properties.h
+	SpellI.h spell.h properties.h
 dialog.lo dialog.o : dialog.c ../../config.h dialog.h control-data.h \
 	../../src/gtkhtml.h ../../src/gtkhtml-types.h \
 	../../src/gtkhtml-enums.h ../../src/htmltypes.h \
@@ -677,7 +677,7 @@
 	../../src/htmlgdkpainter.h ../../src/htmlpainter.h \
 	../../src/htmlfontmanager.h ../../src/gtkhtmlfontstyle.h \
 	search.h replace.h image.h link.h rule.h engine.h Editor.h \
-	Spell.h
+	SpellI.h
 e-html-utils.o: e-html-utils.c ../../config.h e-html-utils.h
 Editor-common.lo Editor-common.o : Editor-common.c Editor.h
 editor-control-factory.lo editor-control-factory.o : \
@@ -697,7 +697,7 @@
 	../../src/htmlpainter.h ../../src/htmlcolorset.h \
 	../../src/htmlplainpainter.h ../../src/htmlgdkpainter.h \
 	engine.h control-data.h persist-stream.h search.h replace.h \
-	image.h link.h rule.h Spell.h menubar.h persist-file.h popup.h \
+	image.h link.h rule.h SpellI.h menubar.h persist-file.h popup.h \
 	toolbar.h properties.h text.h paragraph.h body.h spell.h \
 	html-stream-mem.h ../../src/gtkhtmldebug.h \
 	editor-control-factory.h
@@ -716,7 +716,7 @@
 	persist-stream.h ../../src/htmlgdkpainter.h \
 	../../src/htmlpainter.h ../../src/htmlfontmanager.h \
 	../../src/gtkhtmlfontstyle.h search.h replace.h image.h link.h \
-	rule.h Spell.h spell.h
+	rule.h SpellI.h spell.h
 html-stream-mem.lo html-stream-mem.o : html-stream-mem.c ../../config.h \
 	../../src/gtkhtml.h ../../src/gtkhtml-types.h \
 	../../src/gtkhtml-enums.h ../../src/htmltypes.h \
@@ -737,7 +737,7 @@
 	../../src/htmlpainter.h ../../src/htmlfontmanager.h \
 	../../src/gtkhtmlfontstyle.h image.h control-data.h \
 	persist-stream.h ../../src/htmlgdkpainter.h search.h replace.h \
-	link.h rule.h engine.h Editor.h Spell.h properties.h utils.h
+	link.h rule.h engine.h Editor.h SpellI.h properties.h utils.h
 link.lo link.o : link.c ../../config.h ../../src/htmlcolor.h \
 	../../src/htmltypes.h ../../src/gtkhtml-enums.h \
 	../../src/gtkhtml-types.h ../../src/htmlenums.h \
@@ -753,7 +753,7 @@
 	../../src/htmlpainter.h ../../src/htmlfontmanager.h \
 	properties.h control-data.h persist-stream.h \
 	../../src/htmlgdkpainter.h search.h replace.h image.h link.h \
-	rule.h engine.h Editor.h Spell.h utils.h
+	rule.h engine.h Editor.h SpellI.h utils.h
 menubar.lo menubar.o : menubar.c ../../config.h \
 	../../src/htmlengine-edit-cut-and-paste.h ../../src/htmltypes.h \
 	../../src/gtkhtml-enums.h ../../src/gtkhtml-types.h \
@@ -761,7 +761,7 @@
 	control-data.h persist-stream.h ../../src/htmlgdkpainter.h \
 	../../src/htmlpainter.h ../../src/htmlfontmanager.h \
 	../../src/gtkhtmlfontstyle.h search.h replace.h image.h link.h \
-	rule.h engine.h Editor.h Spell.h body.h properties.h text.h \
+	rule.h engine.h Editor.h SpellI.h body.h properties.h text.h \
 	paragraph.h spell.h table.h template.h
 paragraph.lo paragraph.o : paragraph.c ../../config.h \
 	../../src/htmlengine-edit-clueflowstyle.h \
@@ -774,7 +774,7 @@
 	../../src/gtkhtml.h persist-stream.h ../../src/htmlgdkpainter.h \
 	../../src/htmlpainter.h ../../src/htmlfontmanager.h \
 	../../src/gtkhtmlfontstyle.h search.h replace.h image.h link.h \
-	rule.h engine.h Editor.h Spell.h properties.h utils.h
+	rule.h engine.h Editor.h SpellI.h properties.h utils.h
 persist-file.lo persist-file.o : persist-file.c ../../config.h \
 	../../src/gtkhtml.h ../../src/gtkhtml-types.h \
 	../../src/gtkhtml-enums.h ../../src/htmltypes.h \
@@ -799,7 +799,7 @@
 	control-data.h persist-stream.h ../../src/htmlgdkpainter.h \
 	../../src/htmlpainter.h ../../src/htmlfontmanager.h \
 	../../src/gtkhtmlfontstyle.h search.h replace.h image.h link.h \
-	rule.h engine.h Editor.h Spell.h cell.h menubar.h popup.h \
+	rule.h engine.h Editor.h SpellI.h cell.h menubar.h popup.h \
 	properties.h paragraph.h spell.h table.h text.h
 properties.lo properties.o : properties.c ../../config.h dialog.h \
 	control-data.h ../../src/gtkhtml.h ../../src/gtkhtml-types.h \
@@ -808,14 +808,14 @@
 	../../src/htmlgdkpainter.h ../../src/htmlpainter.h \
 	../../src/htmlfontmanager.h ../../src/gtkhtmlfontstyle.h \
 	search.h replace.h image.h link.h rule.h engine.h Editor.h \
-	Spell.h properties.h
+	SpellI.h properties.h
 replace.lo replace.o : replace.c ../../config.h replace.h control-data.h \
 	../../src/gtkhtml.h ../../src/gtkhtml-types.h \
 	../../src/gtkhtml-enums.h ../../src/htmltypes.h \
 	../../src/htmlenums.h persist-stream.h \
 	../../src/htmlgdkpainter.h ../../src/htmlpainter.h \
 	../../src/htmlfontmanager.h ../../src/gtkhtmlfontstyle.h \
-	search.h image.h link.h rule.h engine.h Editor.h Spell.h \
+	search.h image.h link.h rule.h engine.h Editor.h SpellI.h \
 	dialog.h ../../src/htmlengine.h ../../src/htmlcursor.h
 rule.lo rule.o : rule.c ../../config.h ../../src/gtkhtml.h \
 	../../src/gtkhtml-types.h ../../src/gtkhtml-enums.h \
@@ -827,7 +827,7 @@
 	../../src/htmlrule.h ../../src/htmlobject.h properties.h \
 	control-data.h persist-stream.h ../../src/htmlgdkpainter.h \
 	../../src/htmlpainter.h ../../src/htmlfontmanager.h search.h \
-	replace.h image.h link.h rule.h engine.h Editor.h Spell.h \
+	replace.h image.h link.h rule.h engine.h Editor.h SpellI.h \
 	utils.h
 search.lo search.o : search.c ../../config.h search.h \
 	../../src/gtkhtml.h ../../src/gtkhtml-types.h \
@@ -835,12 +835,12 @@
 	../../src/htmlenums.h control-data.h persist-stream.h \
 	../../src/htmlgdkpainter.h ../../src/htmlpainter.h \
 	../../src/htmlfontmanager.h ../../src/gtkhtmlfontstyle.h \
-	replace.h image.h link.h rule.h engine.h Editor.h Spell.h \
+	replace.h image.h link.h rule.h engine.h Editor.h SpellI.h \
 	dialog.h ../../src/htmlengine-search.h ../../src/htmlengine.h \
 	../../src/htmlcursor.h
-Spell-common.lo Spell-common.o : Spell-common.c Spell.h
-Spell-skels.lo Spell-skels.o : Spell-skels.c Spell.h
-Spell-stubs.lo Spell-stubs.o : Spell-stubs.c Spell.h
+SpellI-common.lo SpellI-common.o : SpellI-common.c SpellI.h
+SpellI-skels.lo SpellI-skels.o : SpellI-skels.c SpellI.h
+SpellI-stubs.lo SpellI-stubs.o : SpellI-stubs.c SpellI.h
 spell.lo spell.o : spell.c ../../config.h ../../src/gtkhtml.h \
 	../../src/gtkhtml-types.h ../../src/gtkhtml-enums.h \
 	../../src/htmltypes.h ../../src/htmlenums.h \
@@ -854,7 +854,7 @@
 	persist-stream.h ../../src/htmlgdkpainter.h \
 	../../src/htmlpainter.h ../../src/htmlfontmanager.h \
 	../../src/gtkhtmlfontstyle.h search.h replace.h image.h link.h \
-	rule.h engine.h Editor.h Spell.h spell.h
+	rule.h engine.h Editor.h SpellI.h spell.h
 table.lo table.o : table.c ../../config.h ../../src/gtkhtml.h \
 	../../src/gtkhtml-types.h ../../src/gtkhtml-enums.h \
 	../../src/htmltypes.h ../../src/htmlenums.h \
@@ -867,7 +867,7 @@
 	../../src/htmlfontmanager.h ../../src/gtkhtmlfontstyle.h \
 	properties.h control-data.h persist-stream.h \
 	../../src/htmlgdkpainter.h search.h replace.h image.h link.h \
-	rule.h engine.h Editor.h Spell.h table.h utils.h
+	rule.h engine.h Editor.h SpellI.h table.h utils.h
 template.lo template.o : template.c ../../config.h ../../src/gtkhtml.h \
 	../../src/gtkhtml-types.h ../../src/gtkhtml-enums.h \
 	../../src/htmltypes.h ../../src/htmlenums.h \
@@ -877,7 +877,7 @@
 	../../src/htmlengine-save.h properties.h control-data.h \
 	persist-stream.h ../../src/htmlgdkpainter.h \
 	../../src/htmlpainter.h ../../src/htmlfontmanager.h search.h \
-	replace.h image.h link.h rule.h engine.h Editor.h Spell.h \
+	replace.h image.h link.h rule.h engine.h Editor.h SpellI.h \
 	template.h utils.h
 test-html-editor-control.o: test-html-editor-control.c ../../config.h \
 	Editor.h editor-control-factory.h ../../src/gtkhtml.h \
@@ -898,7 +898,7 @@
 	../../src/htmlpainter.h ../../src/htmlfontmanager.h \
 	../../src/htmltext.h text.h control-data.h persist-stream.h \
 	../../src/htmlgdkpainter.h search.h replace.h image.h link.h \
-	rule.h engine.h Editor.h Spell.h properties.h utils.h
+	rule.h engine.h Editor.h SpellI.h properties.h utils.h
 toolbar.lo toolbar.o : toolbar.c ../../config.h toolbar.h \
 	../../src/gtkhtml.h ../../src/gtkhtml-types.h \
 	../../src/gtkhtml-enums.h ../../src/htmltypes.h \
@@ -906,7 +906,7 @@
 	../../src/htmlgdkpainter.h ../../src/htmlpainter.h \
 	../../src/htmlfontmanager.h ../../src/gtkhtmlfontstyle.h \
 	search.h replace.h image.h link.h rule.h engine.h Editor.h \
-	Spell.h utils.h ../../src/htmlcolor.h ../../src/htmlcolorset.h \
+	SpellI.h utils.h ../../src/htmlcolor.h ../../src/htmlcolorset.h \
 	../../src/htmlengine-edit-fontstyle.h ../../src/htmlengine.h \
 	../../src/htmlcursor.h ../../src/htmlsettings.h
 utils.lo utils.o : utils.c ../../config.h ../../src/gtkhtml-compat.h \
@@ -1019,7 +1019,7 @@
 $(IDL_GENERATED_C): $(IDL_GENERATED_H)
 
 $(SPELL_IDL_GENERATED_H): $(SPELL_IDLS)
-	$(ORBIT_IDL) $(BONOBO_IDL_INCLUDES) $(srcdir)/Spell.idl
+	$(ORBIT_IDL) $(BONOBO_IDL_INCLUDES) $(srcdir)/SpellI.idl
 $(SPELL_IDL_GENERATED_C): $(SPELL_IDL_GENERATED_H)
 %.server.in: %.server.in.in Makefile
 	sed -e "s|\@GNOME_GTKHTML_EDITOR_LOCATION\@|$(location)|g" \
diff -Naur gtkhtml-3.0.10-old/components/html-editor/control-data.h gtkhtml-3.0.10/components/html-editor/control-data.h
--- gtkhtml-3.0.10-old/components/html-editor/control-data.h	Mon Sep 15 12:19:12 2003
+++ gtkhtml-3.0.10/components/html-editor/control-data.h	Tue Mar 16 07:53:15 2004
@@ -38,7 +38,7 @@
 #include "link.h"
 #include "rule.h"
 #include "engine.h"
-#include "Spell.h"
+#include "SpellI.h"
 
 struct _GtkHTMLControlData {
 	GtkHTML    *html;
diff -Naur gtkhtml-3.0.10-old/components/html-editor/spell.h gtkhtml-3.0.10/components/html-editor/spell.h
--- gtkhtml-3.0.10-old/components/html-editor/spell.h	Tue Mar 25 14:30:38 2003
+++ gtkhtml-3.0.10/components/html-editor/spell.h	Tue Mar 16 07:53:15 2004
@@ -24,7 +24,7 @@
 #define _GTK_HTML_EDIT_SPELL_H_
 
 #include <gtkhtml.h>
-#include "Spell.h"
+#include "SpellI.h"
 #include "control-data.h"
 
 GNOME_Spell_Dictionary  spell_new_dictionary        (void);
diff -Naur gtkhtml-3.0.10-old/configure gtkhtml-3.0.10/configure
--- gtkhtml-3.0.10-old/configure	Thu Feb 19 13:14:15 2004
+++ gtkhtml-3.0.10/configure	Tue Mar 16 08:11:42 2004
@@ -6341,7 +6341,7 @@
     #        cross-compilation, but unfortunately the echo tests do not
     #        yet detect zsh echo's removal of \ escapes.  Also zsh mangles
     #	     `"' quotes if we put them in here... so don't!
-    archive_cmds='$CC -r -keep_private_externs -nostdlib -o ${lib}-master.o $libobjs && $CC $(test .$module = .yes && echo -bundle || echo -dynamiclib) $allow_undefined_flag -o $lib ${lib}-master.o $deplibs$linker_flags $(test .$module != .yes && echo -install_name $rpath/$soname $verstring)'
+    archive_cmds='$nonopt $(test x$module = xyes && echo -bundle || echo -dynamiclib) $allow_undefined_flag -o $lib $libobjs $deplibs$linker_flags $(test .$module != .yes && echo -install_name $rpath/$soname $verstring)'
     # We need to add '_' to the symbols in $export_symbols first
     #archive_expsym_cmds="$archive_cmds"' && strip -s $export_symbols'
     hardcode_direct=yes
diff -Naur gtkhtml-3.0.10-old/po/Makefile.in.in gtkhtml-3.0.10/po/Makefile.in.in
--- gtkhtml-3.0.10-old/po/Makefile.in.in	Thu Feb 19 11:11:05 2004
+++ gtkhtml-3.0.10/po/Makefile.in.in	Tue Mar 16 07:53:15 2004
@@ -28,7 +28,7 @@
 exec_prefix = @exec_prefix@
 datadir = @datadir@
 libdir = @libdir@
-localedir = $(libdir)/locale
+localedir = $(datadir)/locale
 gnulocaledir = $(datadir)/locale
 gettextsrcdir = $(datadir)/glib-2.0/gettext/po
 subdir = po
